Linked connections

SDK and webhook source connections can be linked to destination application connections. When linked, events received from the source are sent to the application connection.

Links a source to a destination. It succeeds if the connections are already linked.

Request

  • :src

    int Required

    The ID of the source connection. It must be an SDK or webhook connection.

  • :dst

    int Required

    The ID of a destination connection. It must be an application connection that supports events.

Response

No response.
POST /v1/connections/:src/links/:dst
curl -X POST https://example.com/v1/connections/1371036433/links/1554801134 \
-H "Authorization: Bearer api_xxxxxxx"
Errors
404
workspace does not exist
404
connection does not exist

Unlinks a source from a destination. It succeeds if the connections are not linked.

Request

  • :src

    int Required

    The ID of the source connection. It must be an SDK or webhook connection.

  • :dst

    int Required

    The ID of a destination connection. It must be an application connection that supports events.

Response

No response.
DELETE /v1/connections/:src/links/:dst
curl -X DELETE https://example.com/v1/connections/1371036433/links/1554801134 \
-H "Authorization: Bearer api_xxxxxxx"
Errors
404
workspace does not exist
404
connection does not exist